Skip to main content
GET
/
channels
/
{myshopifyDomain}
/
collab-tiers
Get Channel Collab Tiers
curl --request GET \
  --url https://unified-api.creatorcommerce.shop/channels/{myshopifyDomain}/collab-tiers \
  --header 'x-channel-access-token: <api-key>'
{
  "collabTiers": [
    {
      "_id": "6997d1305fe142fd13cff500",
      "channel": "6997d1b29655870ce8359c45",
      "tierKey": "28002",
      "tierTitle": "CC // Test Pages",
      "relationshipManager": "shopify-collabs",
      "discount": {
        "discountAmount": 20,
        "discountType": "Percentage"
      },
      "isDefault": false
    },
    {
      "_id": "6997d1305fe142fd13cff501",
      "channel": "6997d1b29655870ce8359c45",
      "tierKey": "default-creatorcommerce",
      "tierTitle": "CreatorCommerce Default",
      "relationshipManager": "creatorcommerce",
      "isDefault": true
    }
  ]
}

Authorizations

x-channel-access-token
string
header
required

Channel or partner access token (x-channel-access-token or x-partner-access-token)

Path Parameters

myshopifyDomain
string
required

The Shopify domain

Example:

"cc-goaff-sandbox.myshopify.com"

Response

Successfully retrieved collab tiers

Response containing array of collab tiers for a channel

collabTiers
object[]